//---------------------------------------------------------------------------
#ifndef QMeasureH
#define QMeasureH
//---------------------------------------------------------------------------
#include "QCircuit.h"

class QMeasure : public QCircuit {
private:

public:
  QMeasure(int x,int y);
  virtual int        GetType(void)    { return QC_MEASURE; }
  virtual string GetTypeStr(void) { return "QMeasure"; }
  string GetCalcText(void);
  void Draw(QDraw *Draw);
  void DrawPS(QPSDraw *psDraw);
  void Reverse(int y);
  TRect GetOccupiedRect();
};
//---------------------------------------------------------------------------
#endif
